echo off

rem PCMENU is Copyright (c) 1988 by J. Eric Slone, All rights reserved.

echo .
echo This batch file illustrates how to use the PCMENU program.  To make a
echo selection, you can use the UP/DOWN/LEFT/RIGHT arrows, or you can type 
echo the number of the selection and press RETURN.  Pressing ESC will cause
echo the menu to abort.  PCMENU will return an ERRORLEVEL code which can be 
echo checked in a batch file.  Print out this program (copy menu.bat prn)
echo to see how this is done.
echo .

rem This next section creates the menu file for PCMENU.  Notice that the
rem first echo uses the single redirection (greater-than) symbol.  This 
rem will erase the file specified if it already exists.  The remainder of the
rem lines must use the double redirection symbol.
   
rem If you use a particular menu often, you can create the menufile and avoid
rem the following statements used to create a menufile, which can take a few
rem seconds to execute.

echo Shutdown System > menufile
echo Play TETRIS >> menufile
echo Run ProComm Plus >> menufile
echo Run WordPerfect 5.0 >> menufile

rem This section of code runs the PCMENU program.  The program is first
rem run without any options to display the usage for it.  It is then run with
rem the correct parameters to illustrate its operation.  

pcmenu
pcmenu 1 1 menufile "MENU TITLE"

rem This is where the ERRORLEVEL returned by PCMENU is checked.  A value
rem of zero (0) means that ESC was pressed.  Otherwise, the value corresponds
rem to the number of the option in the menu.  Notice that the errorlevel
rem checks MUST BE IN DESCENDING ORDER.

if errorlevel 4 goto wp50    
if errorlevel 3 goto procomm
if errorlevel 2 goto tetris 
if errorlevel 1 goto shutdown
if errorlevel 0 echo ESC was pressed
goto exit

rem This section of code performs the desired action when an option is selected.

:shutdown
echo System shutdown was selected
goto exit

:tetris
echo Tetris was selected
goto exit

:procomm
echo ProComm was selected
goto exit

:wp50
echo WordPerfect 5.0 was selected

:exit
del menufile
echo on
